Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.iface
Interface Attachment

All Known Subinterfaces:
  WsdlAttachment

All Known Implementing Classes:
  BodyPartAttachment, FileAttachment, MockFileAttachment, RequestFileAttachment

    public interface Attachment

Attachment for Requests and their responses

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `Attachment.AttachmentEncoding`
`static class` | `Attachment.AttachmentType`

Method Summary
`Attachment.AttachmentType` | `getAttachmentType()`
`java.lang.String` | `getContentID()`
`java.lang.String` | `getContentType()`
`Attachment.AttachmentEncoding` | `getEncoding()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPart()`
`long` | `getSize()`
`java.lang.String` | `getUrl()`
`boolean` | `isCached()`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setPart(java.lang.String part)`

Method Detail

### getName

    java.lang.String getName()

### getContentType

    java.lang.String getContentType()

### setContentType

    void setContentType(java.lang.String contentType)

### getSize

    long getSize()

### getPart

    java.lang.String getPart()

### setPart

    void setPart(java.lang.String part)

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUrl

    java.lang.String getUrl()

### isCached

    boolean isCached()

### getAttachmentType

    Attachment.AttachmentType getAttachmentType()

### getContentID

    java.lang.String getContentID()

### getEncoding

    Attachment.AttachmentEncoding getEncoding()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.